Subject: Re: Bug#3370: httpdconfig installs Welcome.html even if index.html exists

From: Steve Greenland <[email-masked]>
Date: Sun, 30 Jun 1996 13:56:47 -0500 (CDT)

Sven Rudolph wrote:
> 
> 
> 
> Package: cern-httpd
> Version: 3.0-6
> 
> On upgrade httpdconfig is run. If there is no Welcome.html it creates
> one.
> 
> However our legacy WWW data uses index.html as directory entry point. 
> CERN httpd first looks for Welcome.html, then for index.html, so our
> WWW server provided the wrong page.
> 
> httpdconfig should only install Welcome.html when neither Welcome.html
> nor index.html (and probably other files used in the same way by CERN
> httpd or other httpd's) exists. When this isn't reliable enough, it
> should at least ask whether it really shall install Welcome.html.
> 

Ok, by default cern-httpd looks for Welcome.html, welcome.html, and
index.html, in that order. If any of those is installed, I'll not install
Welcome.html. If an admin has changed the default to something else, then
they can change the order as well, so I'm not going to worry about
that case, OK? (In other words, if you have the entry 

Welcome     {Welcome.html, hithere.html}

in your cern-http.conf file, you could just as easily reverse it.)

SteveG

-- 
The Mole - I think, therefore I scream 

			Why are many scientists using lawyers for medical
			experiments instead of rats?

				a)  There are more lawyers than rats.
				b)  The scientist's don't become as
				    emotionally attached to them.
				c)  There are some things that even rats 
				    won't do for money.
[Anonymous]